## akregator 25.12.0+p24.04+vstable+git20251209.0318

=== debian/changelog ===
akregator (4:25.12.0+p24.04+vstable+git20251209.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 03:18:31 +0000

akregator (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:14 +1000

akregator (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:01 +1000
