## akregator 25.12.1+p24.04+vstable+git20260107.0324

=== debian/changelog ===
akregator (4:25.12.1+p24.04+vstable+git20260107.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 03:24:16 +0000

akregator (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:27:22 +1000
