## akregator 25.12.1+p24.04+vstable+git20260128.0446

=== debian/changelog ===
akregator (4:25.12.1+p24.04+vstable+git20260128.0446-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:46:41 +0000
